package websocket_fasthttp

import (
	"git.loafle.net/commons_go/websocket_fasthttp/websocket"
	"github.com/valyala/fasthttp"
)

type SocketHandler interface {
	Handshake(ctx *fasthttp.RequestCtx) (bool, *fasthttp.ResponseHeader)
	Handle(conn *websocket.Conn, stopChan <-chan struct{}, doneChan chan<- struct{})
}
